
QGIS Application - Bug report #14433

Selecting by Expression aborts with a minidump

2016-03-06 06:21 AM - Peter Cooper

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.8.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22412

Description

I am processing a series of shapefiles (from OS Open Map - Local in the UK) using an expression (see below) to pick out a rectangle of

features, so that I can Copy/Paste to new vector layers and concentrate on a small area around my village. Some work fine, but others

cause QGIS to abort during the selection with a minidump (2 attached).

I suspect it might be because there were no features in the shapefile within the rectangle, because all the ones I expected to have features

within the rectangle worked OK.

Expression used: (xmin($geometry) < 537114.565 and xmax($geometry)>532059.373) and (ymin($geometry)  <274187.017 and

ymax($geometry) >269687.748)

History

#1 - 2016-03-06 06:35 AM - Peter Cooper

files keep not completing load, so I will do them individually.

#2 - 2016-03-06 06:38 AM - Peter Cooper

- File TL_SurfaceWater_Line.dbf added

- File TL_SurfaceWater_Line.prj added

minidump "could not be saved" so I will try the shapefile - 2 of 4 elements.

#3 - 2016-03-06 06:46 AM - Peter Cooper

- File qgis-20160306-122415-6612-3760-unknown.zip added

- File TL_SurfaceWater_Line.zip added

Ignore files before.  shapefile is now in zip.

#4 - 2016-03-06 07:52 AM - Anita Graser

- File deleted (TL_SurfaceWater_Line.prj)

#5 - 2016-03-06 07:52 AM - Anita Graser

- File deleted (TL_SurfaceWater_Line.dbf)
#6 - 2016-03-06 01:30 PM - Nyall Dawson

- Status changed from Open to Feedback

No segfault here (Linux, using 2.14). Can you please test with 2.14 and also confirm your O/S?

#7 - 2016-03-07 02:22 AM - Peter Cooper

- Status changed from Feedback to Closed

I am using Windows 10. I can confirm there is no problem with QGIS 2.14.  Thanks.

Sorry - I should have tested with the latest version before logging the issue. I am using 2.8 for a reason relating to BoundlessGeo's OpenGeo plugin.

#8 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

Files

TL_SurfaceWater_Line.zip 2.26 MB 2016-03-06 Peter Cooper

qgis-20160306-122415-6612-3760-unknown.zip 3.84 MB 2016-03-06 Peter Cooper
